Bug 999659 - splitting the sos report to modules - Nova
splitting the sos report to modules - Nova
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-nova (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: Milestone3
: Havana
Assigned To: Xavier Queralt
Ami Jeain
:
Depends On:
Blocks: 999587
  Show dependency treegraph
 
Reported: 2013-08-21 15:35 EDT by lpeer
Modified: 2016-04-26 13:09 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 999657
: 999660 (view as bug list)
Environment:
Last Closed: 2014-03-10 09:45:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lpeer 2013-08-21 15:35:43 EDT
Description of problem:

Using component naming instead of a single product naming could help make the sos plugin easier to maintain.

Instead of having -
 https://github.com/sosreport/sosreport/blob/master/sos/plugins/openstack.py

We should have module per component: nova, neutron, heat, ceilometer, glance, etc, etc

Other relevant information can be found on the thread -
http://post-office.corp.redhat.com/archives/rh-openstack-dev/2013-August/msg00364.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from lpeer on 2013-08-21 15:27:46 EDT ---

please create openstack-nova.py
Comment 1 Jeremy Agee 2013-08-29 16:28:21 EDT
Initial split of openstack-cinder.py, openstack-dashboard.py, openstack-glance.py, openstack-horizon.py, openstack-keystone.py, openstack-nova.py, openstack-quantum.py, openstack-swift.py can be found here: https://github.com/jagee/sosreport.git

still need to create heat, ceilometer, packstack modules and refine password scrubbing.
Comment 2 yeylon@redhat.com 2013-09-01 16:00:08 EDT
openstack-nova.py module should collect current status on the compute nodes, running/paused/stuck VMs. VM RAM usage/CPU consumption etc.
Comment 3 Xavier Queralt 2013-09-05 08:11:28 EDT
Pull request for openstack-nova plugin: https://github.com/sosreport/sosreport/pull/196

Besides jagee's initial split, I've added proper pasword removal from the configuration files and some missing packages to the RedHat plugin.
Comment 4 Xavier Queralt 2013-10-02 04:50:35 EDT
The old pull request was closed. There is a new one with some fixes in: https://github.com/sosreport/sosreport/pull/197
Comment 5 Xavier Queralt 2014-03-10 09:45:14 EDT
I think this can be closed, the PR was merged a few months ago.

Note You need to log in before you can comment on or make changes to this bug.